Logo
OpenScaler

Studio request feed

GET
/v1/studio/requests/events

Server-sent events stream of Studio request success and failure for the project. Events are named studio_request and include node_id.

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile, or with osctl auth login. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Query Parameters

project_id*string

ID of the project used to filter results.

Response Body

text/event-stream

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/studio/requests/events?project_id=default"
"string"
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}